<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="highlightedQuestionEdit" class="parameter-edit" [class.read-only]="readOnly" *ngIf="ready">
  <mat-card-header>
    <mat-card-title>{{ "parameters.highlighted-question.title" | translate}}</mat-card-title>
  </mat-card-header>
  <mat-card-content class="no-padding" *ngIf="!editedQuestion">

    <div class="mat-card-button-toolbar" fxLayout fxLayoutAlign="end" fxLayoutGap="2.5rem" *ngIf="!readOnly">
      <button mat-raised-button (click)="addQuestion()" color="primary" id="addAQuestion"
              *roles="['ADD_HIGHLIGHTED_QUESTION']">
        <mat-icon>note_add</mat-icon>
        {{"parameters.highlighted-question.actions.add-question" | translate | uppercase}}
      </button>
    </div>

    <div *ngFor="let question of questions,  let i = index" class="highlighted-question">
      <div class="sub-header">
        {{ "parameters.highlighted-question.question-number" | translate}} {{ i + 1 }}
        <ng-container *ngIf="!readOnly">
          <button mat-icon-button color="accent" id="delete-question-{{ i + 1}}-button"
                  (click)="deleteQuestion(question.id, i+1)"
                  *roles="['DELETE_HIGHLIGHTED_QUESTION']">
            <mat-icon>clear</mat-icon>
          </button>

          <button mat-icon-button color="primary" id="edit-question-{{ i + 1}}-button"
                  (click)="editedQuestion = question"
                  *roles="['ADD_LOCALIZED_HIGHLIGHTED_QUESTION', 'DELETE_LOCALIZED_HIGHLIGHTED_QUESTION']">
            <mat-icon>edit</mat-icon>
          </button>
        </ng-container>
      </div>
      <localized-highlighted-question-list [editMode]="false" [question]="question" [operation]="operation">
      </localized-highlighted-question-list>
    </div>


  </mat-card-content>
  <mat-card-content class="no-padding" *ngIf="editedQuestion">
    <highlighted-question-edit [originalQuestion]="editedQuestion"
                               [operation]="operation"
                               (finishEditing)="refresh()">
    </highlighted-question-edit>
  </mat-card-content>


</mat-card>



